VERSION 5.00
Begin VB.Form frmHiScores 
   BackColor       =   &H00000000&
   BorderStyle     =   0  'None
   Caption         =   "Form1"
   ClientHeight    =   7200
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   9600
   DrawWidth       =   2
   BeginProperty Font 
      Name            =   "Verdana"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H00000000&
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   MouseIcon       =   "HiScores.frx":0000
   MousePointer    =   99  'Custom
   ScaleHeight     =   480
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   640
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdSpeed 
      Height          =   210
      Left            =   8250
      TabIndex        =   6
      TabStop         =   0   'False
      ToolTipText     =   "Click to change speed table"
      Top             =   795
      Width           =   165
   End
   Begin VB.PictureBox iSpeed 
      Appearance      =   0  'Flat
      AutoRedraw      =   -1  'True
      BackColor       =   &H00000000&
      BorderStyle     =   0  'None
      ForeColor       =   &H80000008&
      Height          =   225
      Left            =   4965
      ScaleHeight     =   15
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   227
      TabIndex        =   5
      Top             =   780
      Width           =   3405
   End
   Begin VB.VScrollBar Scroll 
      Height          =   4905
      Left            =   8250
      TabIndex        =   4
      TabStop         =   0   'False
      Top             =   1005
      Width           =   165
   End
   Begin VB.PictureBox iBack 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   0  'None
      ForeColor       =   &H80000008&
      Height          =   4605
      Left            =   4935
      ScaleHeight     =   307
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   221
      TabIndex        =   2
      Top             =   1305
      Width           =   3315
      Begin VB.PictureBox iHiScoreLevel 
         Appearance      =   0  'Flat
         AutoRedraw      =   -1  'True
         AutoSize        =   -1  'True
         BackColor       =   &H80000005&
         BorderStyle     =   0  'None
         ClipControls    =   0   'False
         ForeColor       =   &H00FFFFFF&
         Height          =   11445
         Left            =   0
         Picture         =   "HiScores.frx":0152
         ScaleHeight     =   763
         ScaleMode       =   3  'Pixel
         ScaleWidth      =   221
         TabIndex        =   3
         TabStop         =   0   'False
         Top             =   0
         Width           =   3315
      End
   End
   Begin VB.PictureBox iHiScores 
      Appearance      =   0  'Flat
      AutoRedraw      =   -1  'True
      BackColor       =   &H00000000&
      BorderStyle     =   0  'None
      ClipControls    =   0   'False
      FontTransparent =   0   'False
      ForeColor       =   &H00FFFFFF&
      HasDC           =   0   'False
      Height          =   5190
      Left            =   1185
      Picture         =   "HiScores.frx":128C
      ScaleHeight     =   346
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   221
      TabIndex        =   0
      TabStop         =   0   'False
      Top             =   750
      Width           =   3315
   End
   Begin VB.Image iBall 
      Height          =   150
      Left            =   990
      Picture         =   "HiScores.frx":34E3
      Top             =   1350
      Width           =   150
   End
   Begin VB.Image Image1 
      Height          =   300
      Left            =   4935
      Picture         =   "HiScores.frx":39CD
      Top             =   1005
      Width           =   3315
   End
   Begin VB.Shape Shape1 
      BorderColor     =   &H00808080&
      BorderWidth     =   2
      Height          =   5175
      Left            =   4950
      Top             =   765
      Width           =   3495
   End
   Begin VB.Label Command 
      Alignment       =   2  'Center
      BackColor       =   &H00808080&
      Caption         =   "OK"
      ForeColor       =   &H00E0E0E0&
      Height          =   225
      Left            =   4320
      TabIndex        =   1
      Top             =   6255
      Width           =   810
   End
End
Attribute VB_Name = "frmHiScores"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'//
'// High-Scores
'//

Dim Index As Integer
Dim HiScSpeed As Integer



Private Sub Form_Load()

    Me.Width = 640 * 15: Me.Height = 480 * 15
    Me.Scroll.Max = iHiScoreLevel.Height - iBack.Height
    Me.Scroll.LargeChange = iBack.Height
    
End Sub

Private Sub Form_Activate()
        
    ' Show table High-Scores and hide ball
    ShowHiScores
    iBall.Visible = False
    
    ' Check if new high-score
    Index = IsHiScore(Score)
    If Index > 0 And Not Practice Then
    
        Dim tyPos As Integer
        
        ' Set new results
        HiScores(Index).hsName = frmMain.tName
        HiScores(Index).hsLevel = Level
        HiScores(Index).hsScore = Score
        
        ' Refresh table
        ShowHiScores
        
        ' Show ball
        tyPos = 72 + Index * 17 + Int((Index - 1) / 3) * 35
        iBall.Move iBall.Left, tyPos
        iBall.Visible = True
        
    End If
   
    ' Show table High-Score Level
    HiScSpeed = Speed
    ShowHiScoreLevel

End Sub

'// Print High-Scores table //////////////////////////////////////////////////////////////////
Private Sub ShowHiScores()

    Dim I As Integer, tyPos
    
    iHiScores.Cls
    tyPos = 2
    
    For I = 1 To 12
        If (I - 1) Mod 3 = 0 Then tyPos = tyPos + 35
        TextOut iHiScores.hdc, 38 - TextWidth(HiScores(I).hsName) / 2, tyPos, _
                               HiScores(I).hsName, Len(HiScores(I).hsName)
        TextOut iHiScores.hdc, 103, tyPos, _
                               Format(HiScores(I).hsLevel, "00"), 2
        TextOut iHiScores.hdc, 164, tyPos, _
                               Format(HiScores(I).hsScore, "00000"), 5
        tyPos = tyPos + 17
    Next I

End Sub

'// Print High-Score Level table /////////////////////////////////////////////////////////////
Private Sub ShowHiScoreLevel()

    ' Print Header
    Dim tyPos As Integer, speedIndex As Integer, tLevel As Integer
    
    Select Case HiScSpeed
        Case SPEED_SUPER
            tyPos = 2: speedIndex = 1
        Case SPEED_FAST
            tyPos = 88: speedIndex = 46
        Case SPEED_NORMAL
            tyPos = 174: speedIndex = 91
        Case SPEED_SLOW
            tyPos = 260: speedIndex = 136
    End Select
    
    BitBlt iSpeed.hdc, 2, 0, 215, 15, iHiScores.hdc, 4, tyPos, SRCCOPY
    iSpeed.Refresh
    
    ' Print table
    iHiScoreLevel.Cls: tyPos = 0: tLevel = 1
    
    For I = speedIndex To speedIndex + 44
        TextOut iHiScoreLevel.hdc, 31, tyPos, _
                                   Format(tLevel, "00"), 2
        TextOut iHiScoreLevel.hdc, 111 - TextWidth(HiScoreLevel(I).hsName) / 2, tyPos, _
                                   HiScoreLevel(I).hsName, Len(HiScoreLevel(I).hsName)
        TextOut iHiScoreLevel.hdc, 164, tyPos, _
                                   Format(HiScoreLevel(I).hsScore, "00000"), 5
        tyPos = tyPos + 17
        tLevel = tLevel + 1
    Next I
    
End Sub

'// Change speed button //////////////////////////////////////////////////////////////////////
Private Sub cmdSpeed_Click()

    Select Case HiScSpeed
        Case SPEED_SUPER
            HiScSpeed = SPEED_SLOW
        Case SPEED_FAST
            HiScSpeed = SPEED_SUPER
        Case SPEED_NORMAL
            HiScSpeed = SPEED_FAST
        Case SPEED_SLOW
            HiScSpeed = SPEED_NORMAL
    End Select
    
    ' Show table High-Score Level
    ShowHiScoreLevel
    iHiScoreLevel.SetFocus

End Sub

'// Table Scroll /////////////////////////////////////////////////////////////////////////////
Private Sub Scroll_Change()

    iHiScoreLevel.Top = -Scroll
    
End Sub

Private Sub Scroll_Scroll()

    Scroll_Change
    
End Sub

'// OK button ////////////////////////////////////////////////////////////////////////////////
Private Sub Command_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    
    ' Select command
    Line (Command.Left - 2, Command.Top - 2)- _
         (Command.Left + 54 + 2, Command.Top + 15 + 2), &HE0E0E0, B

End Sub

Private Sub Command_Click()
    
    Me.Hide

End Sub

Private Sub Command_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    
    ' Unselect command
    Line (Command.Left - 2, Command.Top - 2)- _
         (Command.Left + 54 + 2, Command.Top + 15 + 2), vbBlack, B
    
End Sub

'[Return] key: return to main
Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
    
    If KeyCode = vbKeyReturn Then Me.Hide
    
End Sub

